source: git/libfac/configure @ c7bbf3

spielwiese
Last change on this file since c7bbf3 was c7bbf3, checked in by Hans Schönemann <hannes@…>, 23 years ago
*hannes; update version git-svn-id: file:///usr/local/Singular/svn/trunk@5514 2c84dea3-7e68-4137-9b89-c4e89433aadc
  • Property mode set to 100755
File size: 42.9 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --with-debug    build with debugging options turned on"
16ac_help="$ac_help
17  --with-Singular build for use with Singular"
18
19# Initialize some variables set by options.
20# The variables have the same names as the options, with
21# dashes changed to underlines.
22build=NONE
23cache_file=./config.cache
24exec_prefix=NONE
25host=NONE
26no_create=
27nonopt=NONE
28no_recursion=
29prefix=NONE
30program_prefix=NONE
31program_suffix=NONE
32program_transform_name=s,x,x,
33silent=
34site=
35srcdir=
36target=NONE
37verbose=
38x_includes=NONE
39x_libraries=NONE
40bindir='${exec_prefix}/bin'
41sbindir='${exec_prefix}/sbin'
42libexecdir='${exec_prefix}/libexec'
43datadir='${prefix}/share'
44sysconfdir='${prefix}/etc'
45sharedstatedir='${prefix}/com'
46localstatedir='${prefix}/var'
47libdir='${exec_prefix}/lib'
48includedir='${prefix}/include'
49oldincludedir='/usr/include'
50infodir='${prefix}/info'
51mandir='${prefix}/man'
52
53# Initialize some other variables.
54subdirs=
55MFLAGS= MAKEFLAGS=
56SHELL=${CONFIG_SHELL-/bin/sh}
57# Maximum number of lines to put in a shell here document.
58ac_max_here_lines=12
59
60ac_prev=
61for ac_option
62do
63
64  # If the previous option needs an argument, assign it.
65  if test -n "$ac_prev"; then
66    eval "$ac_prev=\$ac_option"
67    ac_prev=
68    continue
69  fi
70
71  case "$ac_option" in
72  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
73  *) ac_optarg= ;;
74  esac
75
76  # Accept the important Cygnus configure options, so we can diagnose typos.
77
78  case "$ac_option" in
79
80  -bindir | --bindir | --bindi | --bind | --bin | --bi)
81    ac_prev=bindir ;;
82  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
83    bindir="$ac_optarg" ;;
84
85  -build | --build | --buil | --bui | --bu)
86    ac_prev=build ;;
87  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
88    build="$ac_optarg" ;;
89
90  -cache-file | --cache-file | --cache-fil | --cache-fi \
91  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
92    ac_prev=cache_file ;;
93  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
94  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
95    cache_file="$ac_optarg" ;;
96
97  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
98    ac_prev=datadir ;;
99  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
100  | --da=*)
101    datadir="$ac_optarg" ;;
102
103  -disable-* | --disable-*)
104    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
105    # Reject names that are not valid shell variable names.
106    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
107      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
108    fi
109    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
110    eval "enable_${ac_feature}=no" ;;
111
112  -enable-* | --enable-*)
113    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
114    # Reject names that are not valid shell variable names.
115    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
116      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
117    fi
118    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
119    case "$ac_option" in
120      *=*) ;;
121      *) ac_optarg=yes ;;
122    esac
123    eval "enable_${ac_feature}='$ac_optarg'" ;;
124
125  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
126  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
127  | --exec | --exe | --ex)
128    ac_prev=exec_prefix ;;
129  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
130  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
131  | --exec=* | --exe=* | --ex=*)
132    exec_prefix="$ac_optarg" ;;
133
134  -gas | --gas | --ga | --g)
135    # Obsolete; use --with-gas.
136    with_gas=yes ;;
137
138  -help | --help | --hel | --he)
139    # Omit some internal or obsolete options to make the list less imposing.
140    # This message is too long to be a string in the A/UX 3.1 sh.
141    cat << EOF
142Usage: configure [options] [host]
143Options: [defaults in brackets after descriptions]
144Configuration:
145  --cache-file=FILE       cache test results in FILE
146  --help                  print this message
147  --no-create             do not create output files
148  --quiet, --silent       do not print \`checking...' messages
149  --version               print the version of autoconf that created configure
150Directory and file names:
151  --prefix=PREFIX         install architecture-independent files in PREFIX
152                          [$ac_default_prefix]
153  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
154                          [same as prefix]
155  --bindir=DIR            user executables in DIR [EPREFIX/bin]
156  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
157  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
158  --datadir=DIR           read-only architecture-independent data in DIR
159                          [PREFIX/share]
160  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
161  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
162                          [PREFIX/com]
163  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
164  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
165  --includedir=DIR        C header files in DIR [PREFIX/include]
166  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
167  --infodir=DIR           info documentation in DIR [PREFIX/info]
168  --mandir=DIR            man documentation in DIR [PREFIX/man]
169  --srcdir=DIR            find the sources in DIR [configure dir or ..]
170  --program-prefix=PREFIX prepend PREFIX to installed program names
171  --program-suffix=SUFFIX append SUFFIX to installed program names
172  --program-transform-name=PROGRAM
173                          run sed PROGRAM on installed program names
174EOF
175    cat << EOF
176Host type:
177  --build=BUILD           configure for building on BUILD [BUILD=HOST]
178  --host=HOST             configure for HOST [guessed]
179  --target=TARGET         configure for TARGET [TARGET=HOST]
180Features and packages:
181  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
182  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
183  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
184  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
185  --x-includes=DIR        X include files are in DIR
186  --x-libraries=DIR       X library files are in DIR
187EOF
188    if test -n "$ac_help"; then
189      echo "--enable and --with options recognized:$ac_help"
190    fi
191    exit 0 ;;
192
193  -host | --host | --hos | --ho)
194    ac_prev=host ;;
195  -host=* | --host=* | --hos=* | --ho=*)
196    host="$ac_optarg" ;;
197
198  -includedir | --includedir | --includedi | --included | --include \
199  | --includ | --inclu | --incl | --inc)
200    ac_prev=includedir ;;
201  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
202  | --includ=* | --inclu=* | --incl=* | --inc=*)
203    includedir="$ac_optarg" ;;
204
205  -infodir | --infodir | --infodi | --infod | --info | --inf)
206    ac_prev=infodir ;;
207  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
208    infodir="$ac_optarg" ;;
209
210  -libdir | --libdir | --libdi | --libd)
211    ac_prev=libdir ;;
212  -libdir=* | --libdir=* | --libdi=* | --libd=*)
213    libdir="$ac_optarg" ;;
214
215  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
216  | --libexe | --libex | --libe)
217    ac_prev=libexecdir ;;
218  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
219  | --libexe=* | --libex=* | --libe=*)
220    libexecdir="$ac_optarg" ;;
221
222  -localstatedir | --localstatedir | --localstatedi | --localstated \
223  | --localstate | --localstat | --localsta | --localst \
224  | --locals | --local | --loca | --loc | --lo)
225    ac_prev=localstatedir ;;
226  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
227  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
228  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
229    localstatedir="$ac_optarg" ;;
230
231  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
232    ac_prev=mandir ;;
233  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
234    mandir="$ac_optarg" ;;
235
236  -nfp | --nfp | --nf)
237    # Obsolete; use --without-fp.
238    with_fp=no ;;
239
240  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
241  | --no-cr | --no-c)
242    no_create=yes ;;
243
244  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
245  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
246    no_recursion=yes ;;
247
248  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
249  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
250  | --oldin | --oldi | --old | --ol | --o)
251    ac_prev=oldincludedir ;;
252  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
253  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
254  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
255    oldincludedir="$ac_optarg" ;;
256
257  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
258    ac_prev=prefix ;;
259  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
260    prefix="$ac_optarg" ;;
261
262  -program-prefix | --program-prefix | --program-prefi | --program-pref \
263  | --program-pre | --program-pr | --program-p)
264    ac_prev=program_prefix ;;
265  -program-prefix=* | --program-prefix=* | --program-prefi=* \
266  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
267    program_prefix="$ac_optarg" ;;
268
269  -program-suffix | --program-suffix | --program-suffi | --program-suff \
270  | --program-suf | --program-su | --program-s)
271    ac_prev=program_suffix ;;
272  -program-suffix=* | --program-suffix=* | --program-suffi=* \
273  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
274    program_suffix="$ac_optarg" ;;
275
276  -program-transform-name | --program-transform-name \
277  | --program-transform-nam | --program-transform-na \
278  | --program-transform-n | --program-transform- \
279  | --program-transform | --program-transfor \
280  | --program-transfo | --program-transf \
281  | --program-trans | --program-tran \
282  | --progr-tra | --program-tr | --program-t)
283    ac_prev=program_transform_name ;;
284  -program-transform-name=* | --program-transform-name=* \
285  | --program-transform-nam=* | --program-transform-na=* \
286  | --program-transform-n=* | --program-transform-=* \
287  | --program-transform=* | --program-transfor=* \
288  | --program-transfo=* | --program-transf=* \
289  | --program-trans=* | --program-tran=* \
290  | --progr-tra=* | --program-tr=* | --program-t=*)
291    program_transform_name="$ac_optarg" ;;
292
293  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
294  | -silent | --silent | --silen | --sile | --sil)
295    silent=yes ;;
296
297  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
298    ac_prev=sbindir ;;
299  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
300  | --sbi=* | --sb=*)
301    sbindir="$ac_optarg" ;;
302
303  -sharedstatedir | --sharedstatedir | --sharedstatedi \
304  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
305  | --sharedst | --shareds | --shared | --share | --shar \
306  | --sha | --sh)
307    ac_prev=sharedstatedir ;;
308  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
309  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
310  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
311  | --sha=* | --sh=*)
312    sharedstatedir="$ac_optarg" ;;
313
314  -site | --site | --sit)
315    ac_prev=site ;;
316  -site=* | --site=* | --sit=*)
317    site="$ac_optarg" ;;
318
319  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
320    ac_prev=srcdir ;;
321  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
322    srcdir="$ac_optarg" ;;
323
324  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
325  | --syscon | --sysco | --sysc | --sys | --sy)
326    ac_prev=sysconfdir ;;
327  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
328  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
329    sysconfdir="$ac_optarg" ;;
330
331  -target | --target | --targe | --targ | --tar | --ta | --t)
332    ac_prev=target ;;
333  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
334    target="$ac_optarg" ;;
335
336  -v | -verbose | --verbose | --verbos | --verbo | --verb)
337    verbose=yes ;;
338
339  -version | --version | --versio | --versi | --vers)
340    echo "configure generated by autoconf version 2.13"
341    exit 0 ;;
342
343  -with-* | --with-*)
344    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
345    # Reject names that are not valid shell variable names.
346    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
347      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
348    fi
349    ac_package=`echo $ac_package| sed 's/-/_/g'`
350    case "$ac_option" in
351      *=*) ;;
352      *) ac_optarg=yes ;;
353    esac
354    eval "with_${ac_package}='$ac_optarg'" ;;
355
356  -without-* | --without-*)
357    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
358    # Reject names that are not valid shell variable names.
359    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
360      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
361    fi
362    ac_package=`echo $ac_package| sed 's/-/_/g'`
363    eval "with_${ac_package}=no" ;;
364
365  --x)
366    # Obsolete; use --with-x.
367    with_x=yes ;;
368
369  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
370  | --x-incl | --x-inc | --x-in | --x-i)
371    ac_prev=x_includes ;;
372  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
373  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
374    x_includes="$ac_optarg" ;;
375
376  -x-libraries | --x-libraries | --x-librarie | --x-librari \
377  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
378    ac_prev=x_libraries ;;
379  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
380  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
381    x_libraries="$ac_optarg" ;;
382
383  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
384    ;;
385
386  *)
387    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
388      echo "configure: warning: $ac_option: invalid host type" 1>&2
389    fi
390    if test "x$nonopt" != xNONE; then
391      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
392    fi
393    nonopt="$ac_option"
394    ;;
395
396  esac
397done
398
399if test -n "$ac_prev"; then
400  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
401fi
402
403trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
404
405# File descriptor usage:
406# 0 standard input
407# 1 file creation
408# 2 errors and warnings
409# 3 some systems may open it to /dev/tty
410# 4 used on the Kubota Titan
411# 6 checking for... messages and results
412# 5 compiler messages saved in config.log
413if test "$silent" = yes; then
414  exec 6>/dev/null
415else
416  exec 6>&1
417fi
418exec 5>./config.log
419
420echo "\
421This file contains any messages produced by compilers while
422running configure, to aid debugging if configure makes a mistake.
423" 1>&5
424
425# Strip out --no-create and --no-recursion so they do not pile up.
426# Also quote any args containing shell metacharacters.
427ac_configure_args=
428for ac_arg
429do
430  case "$ac_arg" in
431  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
432  | --no-cr | --no-c) ;;
433  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
434  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
435  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
436  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
437  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
438  esac
439done
440
441# NLS nuisances.
442# Only set these to C if already set.  These must not be set unconditionally
443# because not all systems understand e.g. LANG=C (notably SCO).
444# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
445# Non-C LC_CTYPE values break the ctype check.
446if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
447if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
448if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
449if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
450
451# confdefs.h avoids OS command line length limits that DEFS can exceed.
452rm -rf conftest* confdefs.h
453# AIX cpp loses on an empty file, so make sure it contains at least a newline.
454echo > confdefs.h
455
456# A filename unique to this package, relative to the directory that
457# configure is in, which we can look for to find out if srcdir is correct.
458ac_unique_file=factor.h
459
460# Find the source files, if location was not specified.
461if test -z "$srcdir"; then
462  ac_srcdir_defaulted=yes
463  # Try the directory containing this script, then its parent.
464  ac_prog=$0
465  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
466  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
467  srcdir=$ac_confdir
468  if test ! -r $srcdir/$ac_unique_file; then
469    srcdir=..
470  fi
471else
472  ac_srcdir_defaulted=no
473fi
474if test ! -r $srcdir/$ac_unique_file; then
475  if test "$ac_srcdir_defaulted" = yes; then
476    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
477  else
478    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
479  fi
480fi
481srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
482
483# Prefer explicitly selected file to automatically selected ones.
484if test -z "$CONFIG_SITE"; then
485  if test "x$prefix" != xNONE; then
486    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
487  else
488    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
489  fi
490fi
491for ac_site_file in $CONFIG_SITE; do
492  if test -r "$ac_site_file"; then
493    echo "loading site script $ac_site_file"
494    . "$ac_site_file"
495  fi
496done
497
498if test -r "$cache_file"; then
499  echo "loading cache $cache_file"
500  . $cache_file
501else
502  echo "creating cache $cache_file"
503  > $cache_file
504fi
505
506ac_ext=c
507# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
508ac_cpp='$CPP $CPPFLAGS'
509ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
510ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
511cross_compiling=$ac_cv_prog_cc_cross
512
513ac_exeext=
514ac_objext=o
515if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
516  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
517  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
518    ac_n= ac_c='
519' ac_t='        '
520  else
521    ac_n=-n ac_c= ac_t=
522  fi
523else
524  ac_n= ac_c='\c' ac_t=
525fi
526
527
528
529
530libfac_name="\"Factorization and characteristic sets library\""
531
532libfac_version="0.3.2"
533
534libfac_date="\"Jan 31 2001\""
535
536libfac_author="\"M. Messollen\""
537
538
539libfac="libfac"
540
541libfac_g="libfac-g"
542
543libsingfac="libsingfac"
544
545libsingfac_g="libsingfac-g"
546
547factorH="factor.h"
548
549
550
551# Check whether --with-debug or --without-debug was given.
552if test "${with_debug+set}" = set; then
553  withval="$with_debug"
554  :
555fi
556
557
558# Check whether --with-Singular or --without-Singular was given.
559if test "${with_Singular+set}" = set; then
560  withval="$with_Singular"
561  :
562fi
563
564
565if test "$with_Singular" = yes; then
566  cat >> confdefs.h <<\EOF
567#define SINGULAR 1
568EOF
569
570  cat >> confdefs.h <<\EOF
571#define NOSTREAMIO 1
572EOF
573
574  if test "$with_debug" = yes; then
575     targetname="libsingfac-g"
576  else
577     targetname="libsingfac"
578  fi
579else
580  if test "$with_debug" = yes; then
581     targetname="libfac-g"
582  else
583     targetname="libfac"
584  fi
585fi
586
587if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
588  test "${ac_default_prefix}" != "/usr/local" || \
589  test "${includedir}" != '${prefix}/include'; then
590  CPPFLAGS="-I${includedir} ${CPPFLAGS}"
591fi
592CPPFLAGS="-I./factor ${CPPFLAGS}"
593
594if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
595  test "${ac_default_prefix}" != "/usr/local" || \
596  test "${libdir}" != '${prefix}/lib'; then
597  LDFLAGS="-L${libdir} ${LDFLAGS}"
598fi
599LDFLAGS="-L. ${LDFLAGS}"
600
601if test "${CXXFLAGS+set}" != set; then
602  ac_cxxflags_set=no
603  if test "$with_debug" = yes; then
604    CXXFLAGS="-g"
605  else
606    CXXFLAGS="-O"
607    cat >> confdefs.h <<\EOF
608#define NDEBUG 1
609EOF
610
611  fi
612fi
613
614ac_ext=C
615# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
616ac_cpp='$CXXCPP $CPPFLAGS'
617ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
618ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
619cross_compiling=$ac_cv_prog_cxx_cross
620
621for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
622do
623# Extract the first word of "$ac_prog", so it can be a program name with args.
624set dummy $ac_prog; ac_word=$2
625echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
626echo "configure:627: checking for $ac_word" >&5
627if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
628  echo $ac_n "(cached) $ac_c" 1>&6
629else
630  if test -n "$CXX"; then
631  ac_cv_prog_CXX="$CXX" # Let the user override the test.
632else
633  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
634  ac_dummy="$PATH"
635  for ac_dir in $ac_dummy; do
636    test -z "$ac_dir" && ac_dir=.
637    if test -f $ac_dir/$ac_word; then
638      ac_cv_prog_CXX="$ac_prog"
639      break
640    fi
641  done
642  IFS="$ac_save_ifs"
643fi
644fi
645CXX="$ac_cv_prog_CXX"
646if test -n "$CXX"; then
647  echo "$ac_t""$CXX" 1>&6
648else
649  echo "$ac_t""no" 1>&6
650fi
651
652test -n "$CXX" && break
653done
654test -n "$CXX" || CXX="gcc"
655
656
657echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
658echo "configure:659: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
659
660ac_ext=C
661# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
662ac_cpp='$CXXCPP $CPPFLAGS'
663ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
664ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
665cross_compiling=$ac_cv_prog_cxx_cross
666
667cat > conftest.$ac_ext << EOF
668
669#line 670 "configure"
670#include "confdefs.h"
671
672int main(){return(0);}
673EOF
674if { (eval echo configure:675: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
675  ac_cv_prog_cxx_works=yes
676  # If we can't run a trivial program, we are probably using a cross compiler.
677  if (./conftest; exit) 2>/dev/null; then
678    ac_cv_prog_cxx_cross=no
679  else
680    ac_cv_prog_cxx_cross=yes
681  fi
682else
683  echo "configure: failed program was:" >&5
684  cat conftest.$ac_ext >&5
685  ac_cv_prog_cxx_works=no
686fi
687rm -fr conftest*
688ac_ext=C
689# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
690ac_cpp='$CXXCPP $CPPFLAGS'
691ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
692ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
693cross_compiling=$ac_cv_prog_cxx_cross
694
695echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
696if test $ac_cv_prog_cxx_works = no; then
697  { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
698fi
699echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
700echo "configure:701: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
701echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
702cross_compiling=$ac_cv_prog_cxx_cross
703
704echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
705echo "configure:706: checking whether we are using GNU C++" >&5
706if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
707  echo $ac_n "(cached) $ac_c" 1>&6
708else
709  cat > conftest.C <<EOF
710#ifdef __GNUC__
711  yes;
712#endif
713EOF
714if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:715: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
715  ac_cv_prog_gxx=yes
716else
717  ac_cv_prog_gxx=no
718fi
719fi
720
721echo "$ac_t""$ac_cv_prog_gxx" 1>&6
722
723if test $ac_cv_prog_gxx = yes; then
724  GXX=yes
725else
726  GXX=
727fi
728
729ac_test_CXXFLAGS="${CXXFLAGS+set}"
730ac_save_CXXFLAGS="$CXXFLAGS"
731CXXFLAGS=
732echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
733echo "configure:734: checking whether ${CXX-g++} accepts -g" >&5
734if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
735  echo $ac_n "(cached) $ac_c" 1>&6
736else
737  echo 'void f(){}' > conftest.cc
738if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
739  ac_cv_prog_cxx_g=yes
740else
741  ac_cv_prog_cxx_g=no
742fi
743rm -f conftest*
744
745fi
746
747echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
748if test "$ac_test_CXXFLAGS" = set; then
749  CXXFLAGS="$ac_save_CXXFLAGS"
750elif test $ac_cv_prog_cxx_g = yes; then
751  if test "$GXX" = yes; then
752    CXXFLAGS="-g -O2"
753  else
754    CXXFLAGS="-g"
755  fi
756else
757  if test "$GXX" = yes; then
758    CXXFLAGS="-O2"
759  else
760    CXXFLAGS=
761  fi
762fi
763
764echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
765echo "configure:766: checking how to run the C++ preprocessor" >&5
766if test -z "$CXXCPP"; then
767if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
768  echo $ac_n "(cached) $ac_c" 1>&6
769else
770  ac_ext=C
771# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
772ac_cpp='$CXXCPP $CPPFLAGS'
773ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
774ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
775cross_compiling=$ac_cv_prog_cxx_cross
776  CXXCPP="${CXX-g++} -E"
777  cat > conftest.$ac_ext <<EOF
778#line 779 "configure"
779#include "confdefs.h"
780#include <stdlib.h>
781EOF
782ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
783{ (eval echo configure:784: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
784ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
785if test -z "$ac_err"; then
786  :
787else
788  echo "$ac_err" >&5
789  echo "configure: failed program was:" >&5
790  cat conftest.$ac_ext >&5
791  rm -rf conftest*
792  CXXCPP=/lib/cpp
793fi
794rm -f conftest*
795  ac_cv_prog_CXXCPP="$CXXCPP"
796ac_ext=C
797# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
798ac_cpp='$CXXCPP $CPPFLAGS'
799ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
800ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
801cross_compiling=$ac_cv_prog_cxx_cross
802fi
803fi
804CXXCPP="$ac_cv_prog_CXXCPP"
805echo "$ac_t""$CXXCPP" 1>&6
806
807
808echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
809echo "configure:810: checking whether ${MAKE-make} sets \${MAKE}" >&5
810set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
811if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
812  echo $ac_n "(cached) $ac_c" 1>&6
813else
814  cat > conftestmake <<\EOF
815all:
816        @echo 'ac_maketemp="${MAKE}"'
817EOF
818# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
819eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
820if test -n "$ac_maketemp"; then
821  eval ac_cv_prog_make_${ac_make}_set=yes
822else
823  eval ac_cv_prog_make_${ac_make}_set=no
824fi
825rm -f conftestmake
826fi
827if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
828  echo "$ac_t""yes" 1>&6
829  SET_MAKE=
830else
831  echo "$ac_t""no" 1>&6
832  SET_MAKE="MAKE=${MAKE-make}"
833fi
834
835# Extract the first word of "ranlib", so it can be a program name with args.
836set dummy ranlib; ac_word=$2
837echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
838echo "configure:839: checking for $ac_word" >&5
839if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
840  echo $ac_n "(cached) $ac_c" 1>&6
841else
842  if test -n "$RANLIB"; then
843  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
844else
845  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
846  ac_dummy="$PATH"
847  for ac_dir in $ac_dummy; do
848    test -z "$ac_dir" && ac_dir=.
849    if test -f $ac_dir/$ac_word; then
850      ac_cv_prog_RANLIB="ranlib"
851      break
852    fi
853  done
854  IFS="$ac_save_ifs"
855  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
856fi
857fi
858RANLIB="$ac_cv_prog_RANLIB"
859if test -n "$RANLIB"; then
860  echo "$ac_t""$RANLIB" 1>&6
861else
862  echo "$ac_t""no" 1>&6
863fi
864
865# Extract the first word of "ar", so it can be a program name with args.
866set dummy ar; ac_word=$2
867echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
868echo "configure:869: checking for $ac_word" >&5
869if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
870  echo $ac_n "(cached) $ac_c" 1>&6
871else
872  if test -n "$AR"; then
873  ac_cv_prog_AR="$AR" # Let the user override the test.
874else
875  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
876  ac_dummy="$PATH"
877  for ac_dir in $ac_dummy; do
878    test -z "$ac_dir" && ac_dir=.
879    if test -f $ac_dir/$ac_word; then
880      ac_cv_prog_AR="ar"
881      break
882    fi
883  done
884  IFS="$ac_save_ifs"
885fi
886fi
887AR="$ac_cv_prog_AR"
888if test -n "$AR"; then
889  echo "$ac_t""$AR" 1>&6
890else
891  echo "$ac_t""no" 1>&6
892fi
893
894if test -z "$AR"; then
895  { echo "configure: error: Need ar" 1>&2; exit 1; }
896fi
897
898
899ac_safe=`echo "factory.h" | sed 'y%./+-%__p_%'`
900echo $ac_n "checking for factory.h""... $ac_c" 1>&6
901echo "configure:902: checking for factory.h" >&5
902if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
903  echo $ac_n "(cached) $ac_c" 1>&6
904else
905  cat > conftest.$ac_ext <<EOF
906#line 907 "configure"
907#include "confdefs.h"
908#include <factory.h>
909EOF
910ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
911{ (eval echo configure:912: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
912ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
913if test -z "$ac_err"; then
914  rm -rf conftest*
915  eval "ac_cv_header_$ac_safe=yes"
916else
917  echo "$ac_err" >&5
918  echo "configure: failed program was:" >&5
919  cat conftest.$ac_ext >&5
920  rm -rf conftest*
921  eval "ac_cv_header_$ac_safe=no"
922fi
923rm -f conftest*
924fi
925if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
926  echo "$ac_t""yes" 1>&6
927  :
928else
929  echo "$ac_t""no" 1>&6
930echo "configure: warning: factory.h not found! Install factory before building libfac!" 1>&2
931fi
932
933
934
935
936echo $ac_n "checking for working const""... $ac_c" 1>&6
937echo "configure:938: checking for working const" >&5
938if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
939  echo $ac_n "(cached) $ac_c" 1>&6
940else
941  cat > conftest.$ac_ext <<EOF
942#line 943 "configure"
943#include "confdefs.h"
944
945int main() {
946
947/* Ultrix mips cc rejects this.  */
948typedef int charset[2]; const charset x;
949/* SunOS 4.1.1 cc rejects this.  */
950char const *const *ccp;
951char **p;
952/* NEC SVR4.0.2 mips cc rejects this.  */
953struct point {int x, y;};
954static struct point const zero = {0,0};
955/* AIX XL C 1.02.0.0 rejects this.
956   It does not let you subtract one const X* pointer from another in an arm
957   of an if-expression whose if-part is not a constant expression */
958const char *g = "string";
959ccp = &g + (g ? g-g : 0);
960/* HPUX 7.0 cc rejects these. */
961++ccp;
962p = (char**) ccp;
963ccp = (char const *const *) p;
964{ /* SCO 3.2v4 cc rejects this.  */
965  char *t;
966  char const *s = 0 ? (char *) 0 : (char const *) 0;
967
968  *t++ = 0;
969}
970{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
971  int x[] = {25, 17};
972  const int *foo = &x[0];
973  ++foo;
974}
975{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
976  typedef const int *iptr;
977  iptr p = 0;
978  ++p;
979}
980{ /* AIX XL C 1.02.0.0 rejects this saying
981     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
982  struct s { int j; const int *ap[3]; };
983  struct s *b; b->j = 5;
984}
985{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
986  const int foo = 10;
987}
988
989; return 0; }
990EOF
991if { (eval echo configure:992: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
992  rm -rf conftest*
993  ac_cv_c_const=yes
994else
995  echo "configure: failed program was:" >&5
996  cat conftest.$ac_ext >&5
997  rm -rf conftest*
998  ac_cv_c_const=no
999fi
1000rm -f conftest*
1001fi
1002
1003echo "$ac_t""$ac_cv_c_const" 1>&6
1004if test $ac_cv_c_const = no; then
1005  cat >> confdefs.h <<\EOF
1006#define const
1007EOF
1008
1009fi
1010
1011echo $ac_n "checking for inline""... $ac_c" 1>&6
1012echo "configure:1013: checking for inline" >&5
1013if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
1014  echo $ac_n "(cached) $ac_c" 1>&6
1015else
1016  ac_cv_c_inline=no
1017for ac_kw in inline __inline__ __inline; do
1018  cat > conftest.$ac_ext <<EOF
1019#line 1020 "configure"
1020#include "confdefs.h"
1021
1022int main() {
1023} $ac_kw foo() {
1024; return 0; }
1025EOF
1026if { (eval echo configure:1027: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1027  rm -rf conftest*
1028  ac_cv_c_inline=$ac_kw; break
1029else
1030  echo "configure: failed program was:" >&5
1031  cat conftest.$ac_ext >&5
1032fi
1033rm -f conftest*
1034done
1035
1036fi
1037
1038echo "$ac_t""$ac_cv_c_inline" 1>&6
1039case "$ac_cv_c_inline" in
1040  inline | yes) ;;
1041  no) cat >> confdefs.h <<\EOF
1042#define inline
1043EOF
1044 ;;
1045  *)  cat >> confdefs.h <<EOF
1046#define inline $ac_cv_c_inline
1047EOF
1048 ;;
1049esac
1050
1051
1052if test ${GXX} = yes; then
1053
1054  if test "$ac_cxxflags_set" = no; then
1055    if test "$with_debug" = yes; then
1056       CXXFLAGS="-O -g"
1057    else
1058       CXXFLAGS="-O3 "
1059    fi
1060# check whether CXX accepts --no-rtti
1061
1062ac_ext=C
1063# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1064ac_cpp='$CXXCPP $CPPFLAGS'
1065ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1066ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1067cross_compiling=$ac_cv_prog_cxx_cross
1068
1069echo $ac_n "checking whether gcc accepts --no-rtti""... $ac_c" 1>&6
1070echo "configure:1071: checking whether gcc accepts --no-rtti" >&5
1071tmp_flags=${CXXFLAGS}
1072CXXFLAGS="${CXXFLAGS} --no-rtti"
1073if eval "test \"`echo '$''{'ac_cv_cxx_have_rtti'+set}'`\" = set"; then
1074  echo $ac_n "(cached) $ac_c" 1>&6
1075else
1076  cat > conftest.$ac_ext <<EOF
1077#line 1078 "configure"
1078#include "confdefs.h"
1079
1080int main() {
1081
1082; return 0; }
1083EOF
1084if { (eval echo configure:1085: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1085  rm -rf conftest*
1086  ac_cv_cxx_have_rtti=yes
1087else
1088  echo "configure: failed program was:" >&5
1089  cat conftest.$ac_ext >&5
1090  rm -rf conftest*
1091  ac_cv_cxx_have_rtti=no
1092fi
1093rm -f conftest*
1094
1095fi
1096
1097echo "$ac_t""${ac_cv_cxx_have_rtti}" 1>&6
1098CXXFLAGS=$tmp_flags
1099if test "${ac_cv_cxx_have_rtti}" = yes; then
1100CXXFLAGS="$CXXFLAGS --no-rtti"
1101fi
1102
1103echo $ac_n "checking whether gcc accepts --no-exceptions""... $ac_c" 1>&6
1104echo "configure:1105: checking whether gcc accepts --no-exceptions" >&5
1105tmp_flags=${CXXFLAGS}
1106CXXFLAGS="${CXXFLAGS} --no-exceptions"
1107if eval "test \"`echo '$''{'ac_cv_cxx_have_exceptions'+set}'`\" = set"; then
1108  echo $ac_n "(cached) $ac_c" 1>&6
1109else
1110  cat > conftest.$ac_ext <<EOF
1111#line 1112 "configure"
1112#include "confdefs.h"
1113
1114int main() {
1115
1116; return 0; }
1117EOF
1118if { (eval echo configure:1119: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1119  rm -rf conftest*
1120  ac_cv_cxx_have_exceptions=yes
1121else
1122  echo "configure: failed program was:" >&5
1123  cat conftest.$ac_ext >&5
1124  rm -rf conftest*
1125  ac_cv_cxx_have_exceptions=no
1126fi
1127rm -f conftest*
1128
1129fi
1130
1131echo "$ac_t""${ac_cv_cxx_have_exceptions}" 1>&6
1132CXXFLAGS=$tmp_flags
1133if test "${ac_cv_cxx_have_exceptions}" = yes; then
1134CXXFLAGS="$CXXFLAGS --no-exceptions"
1135fi
1136
1137
1138ac_ext=C
1139# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1140ac_cpp='$CXXCPP $CPPFLAGS'
1141ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1142ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1143cross_compiling=$ac_cv_prog_cxx_cross
1144
1145
1146  fi
1147  CXXTEMPLFLAGS="-fno-implicit-templates"
1148
1149
1150else
1151  CXXTEMPFLAGS=""
1152fi
1153
1154
1155trap '' 1 2 15
1156cat > confcache <<\EOF
1157# This file is a shell script that caches the results of configure
1158# tests run on this system so they can be shared between configure
1159# scripts and configure runs.  It is not useful on other systems.
1160# If it contains results you don't want to keep, you may remove or edit it.
1161#
1162# By default, configure uses ./config.cache as the cache file,
1163# creating it if it does not exist already.  You can give configure
1164# the --cache-file=FILE option to use a different cache file; that is
1165# what configure does when it calls configure scripts in
1166# subdirectories, so they share the cache.
1167# Giving --cache-file=/dev/null disables caching, for debugging configure.
1168# config.status only pays attention to the cache file if you give it the
1169# --recheck option to rerun configure.
1170#
1171EOF
1172# The following way of writing the cache mishandles newlines in values,
1173# but we know of no workaround that is simple, portable, and efficient.
1174# So, don't put newlines in cache variables' values.
1175# Ultrix sh set writes to stderr and can't be redirected directly,
1176# and sets the high bit in the cache file unless we assign to the vars.
1177(set) 2>&1 |
1178  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1179  *ac_space=\ *)
1180    # `set' does not quote correctly, so add quotes (double-quote substitution
1181    # turns \\\\ into \\, and sed turns \\ into \).
1182    sed -n \
1183      -e "s/'/'\\\\''/g" \
1184      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1185    ;;
1186  *)
1187    # `set' quotes correctly as required by POSIX, so do not add quotes.
1188    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1189    ;;
1190  esac >> confcache
1191if cmp -s $cache_file confcache; then
1192  :
1193else
1194  if test -w $cache_file; then
1195    echo "updating cache $cache_file"
1196    cat confcache > $cache_file
1197  else
1198    echo "not updating unwritable cache $cache_file"
1199  fi
1200fi
1201rm -f confcache
1202
1203trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1204
1205test "x$prefix" = xNONE && prefix=$ac_default_prefix
1206# Let make expand exec_prefix.
1207test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1208
1209# Any assignment to VPATH causes Sun make to only execute
1210# the first set of double-colon rules, so remove it if not needed.
1211# If there is a colon in the path, we need to keep it.
1212if test "x$srcdir" = x.; then
1213  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
1214fi
1215
1216trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1217
1218# Transform confdefs.h into DEFS.
1219# Protect against shell expansion while executing Makefile rules.
1220# Protect against Makefile macro expansion.
1221cat > conftest.defs <<\EOF
1222s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1223s%[     `~#$^&*(){}\\|;'"<>?]%\\&%g
1224s%\[%\\&%g
1225s%\]%\\&%g
1226s%\$%$$%g
1227EOF
1228DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1229rm -f conftest.defs
1230
1231
1232# Without the "./", some shells look in PATH for config.status.
1233: ${CONFIG_STATUS=./config.status}
1234
1235echo creating $CONFIG_STATUS
1236rm -f $CONFIG_STATUS
1237cat > $CONFIG_STATUS <<EOF
1238#! /bin/sh
1239# Generated automatically by configure.
1240# Run this file to recreate the current configuration.
1241# This directory was configured as follows,
1242# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1243#
1244# $0 $ac_configure_args
1245#
1246# Compiler output produced by configure, useful for debugging
1247# configure, is in ./config.log if it exists.
1248
1249ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1250for ac_option
1251do
1252  case "\$ac_option" in
1253  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1254    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1255    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1256  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1257    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1258    exit 0 ;;
1259  -help | --help | --hel | --he | --h)
1260    echo "\$ac_cs_usage"; exit 0 ;;
1261  *) echo "\$ac_cs_usage"; exit 1 ;;
1262  esac
1263done
1264
1265ac_given_srcdir=$srcdir
1266
1267trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1268EOF
1269cat >> $CONFIG_STATUS <<EOF
1270
1271# Protect against being on the right side of a sed subst in config.status.
1272sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1273 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1274$ac_vpsub
1275$extrasub
1276s%@SHELL@%$SHELL%g
1277s%@CFLAGS@%$CFLAGS%g
1278s%@CPPFLAGS@%$CPPFLAGS%g
1279s%@CXXFLAGS@%$CXXFLAGS%g
1280s%@FFLAGS@%$FFLAGS%g
1281s%@DEFS@%$DEFS%g
1282s%@LDFLAGS@%$LDFLAGS%g
1283s%@LIBS@%$LIBS%g
1284s%@exec_prefix@%$exec_prefix%g
1285s%@prefix@%$prefix%g
1286s%@program_transform_name@%$program_transform_name%g
1287s%@bindir@%$bindir%g
1288s%@sbindir@%$sbindir%g
1289s%@libexecdir@%$libexecdir%g
1290s%@datadir@%$datadir%g
1291s%@sysconfdir@%$sysconfdir%g
1292s%@sharedstatedir@%$sharedstatedir%g
1293s%@localstatedir@%$localstatedir%g
1294s%@libdir@%$libdir%g
1295s%@includedir@%$includedir%g
1296s%@oldincludedir@%$oldincludedir%g
1297s%@infodir@%$infodir%g
1298s%@mandir@%$mandir%g
1299s%@libfac_name@%$libfac_name%g
1300s%@libfac_version@%$libfac_version%g
1301s%@libfac_date@%$libfac_date%g
1302s%@libfac_author@%$libfac_author%g
1303s%@libfac@%$libfac%g
1304s%@libfac_g@%$libfac_g%g
1305s%@libsingfac@%$libsingfac%g
1306s%@libsingfac_g@%$libsingfac_g%g
1307s%@factorH@%$factorH%g
1308s%@targetname@%$targetname%g
1309s%@CXX@%$CXX%g
1310s%@CXXCPP@%$CXXCPP%g
1311s%@SET_MAKE@%$SET_MAKE%g
1312s%@RANLIB@%$RANLIB%g
1313s%@AR@%$AR%g
1314s%@CXXTEMPLFLAGS@%$CXXTEMPLFLAGS%g
1315
1316CEOF
1317EOF
1318
1319cat >> $CONFIG_STATUS <<\EOF
1320
1321# Split the substitutions into bite-sized pieces for seds with
1322# small command number limits, like on Digital OSF/1 and HP-UX.
1323ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1324ac_file=1 # Number of current file.
1325ac_beg=1 # First line for current file.
1326ac_end=$ac_max_sed_cmds # Line after last line for current file.
1327ac_more_lines=:
1328ac_sed_cmds=""
1329while $ac_more_lines; do
1330  if test $ac_beg -gt 1; then
1331    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1332  else
1333    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1334  fi
1335  if test ! -s conftest.s$ac_file; then
1336    ac_more_lines=false
1337    rm -f conftest.s$ac_file
1338  else
1339    if test -z "$ac_sed_cmds"; then
1340      ac_sed_cmds="sed -f conftest.s$ac_file"
1341    else
1342      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1343    fi
1344    ac_file=`expr $ac_file + 1`
1345    ac_beg=$ac_end
1346    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1347  fi
1348done
1349if test -z "$ac_sed_cmds"; then
1350  ac_sed_cmds=cat
1351fi
1352EOF
1353
1354cat >> $CONFIG_STATUS <<EOF
1355
1356CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1357EOF
1358cat >> $CONFIG_STATUS <<\EOF
1359for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1360  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1361  case "$ac_file" in
1362  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1363       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1364  *) ac_file_in="${ac_file}.in" ;;
1365  esac
1366
1367  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1368
1369  # Remove last slash and all that follows it.  Not all systems have dirname.
1370  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1371  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1372    # The file is in a subdirectory.
1373    test ! -d "$ac_dir" && mkdir "$ac_dir"
1374    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1375    # A "../" for each directory in $ac_dir_suffix.
1376    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1377  else
1378    ac_dir_suffix= ac_dots=
1379  fi
1380
1381  case "$ac_given_srcdir" in
1382  .)  srcdir=.
1383      if test -z "$ac_dots"; then top_srcdir=.
1384      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1385  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1386  *) # Relative path.
1387    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1388    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1389  esac
1390
1391
1392  echo creating "$ac_file"
1393  rm -f "$ac_file"
1394  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1395  case "$ac_file" in
1396  *Makefile*) ac_comsub="1i\\
1397# $configure_input" ;;
1398  *) ac_comsub= ;;
1399  esac
1400
1401  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1402  sed -e "$ac_comsub
1403s%@configure_input@%$configure_input%g
1404s%@srcdir@%$srcdir%g
1405s%@top_srcdir@%$top_srcdir%g
1406" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1407fi; done
1408rm -f conftest.s*
1409
1410EOF
1411cat >> $CONFIG_STATUS <<EOF
1412
1413EOF
1414cat >> $CONFIG_STATUS <<\EOF
1415
1416exit 0
1417EOF
1418chmod +x $CONFIG_STATUS
1419rm -fr confdefs* $ac_clean_files
1420test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1421
1422
Note: See TracBrowser for help on using the repository browser.